package edu.uoc.pfc.j2ee.jalonsod.mtp.config;

import edu.uoc.pfc.j2ee.jalonsod.mtp.MTPException;

/**
 * File: ConfiguratorException.java
 * Created: 2012-04-23
 * 
 * Exceptions thrown by configuration code are this kind.
 * Exception can have a nested Exception or simply a configuration error message.
 * 
 * @author Jos Alonso de Motta
 */
public class ConfiguratorException extends MTPException {

	private static final long serialVersionUID = 1L;
	public ConfiguratorException(String msg, Throwable t){
		super(msg,t);
	}
	public ConfiguratorException(String msg){
		super(msg);
	}

}
