<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title><mtp:msg key="homeMember.welcome" /></title>
<link type="text/css" href="MyStyles.css" rel="stylesheet">
</head>
<body>
	<h1>
		<a href="Controller?MODEL=HOME"><mtp:msg key="global.site" /></a>
	</h1>
	<h2>
		<mtp:msg key="homeMember.welcome" />
	</h2>
	<mtp:getModelInstance>
		<table class="cl_centeredTable" border="0" cellpadding="5"
			cellspacing="5">
			<tbody>
				<tr>
					<td>
						<h2>
							<mtp:msg key="global.availableOptions" />
						</h2>
					</td>
				</tr>
				<c:choose>
					<c:when test="${requestModelInstance.socio.valido=='S' }">
						<tr>
							<td class="cl_menuOption"><a
								href="Controller?MODEL=INSCRIPCIONESLIST"><mtp:msg
										key="homeMember.enrollmentsOption" /></a></td>
						</tr>
						<tr>
							<td class="cl_menuOption"><a
								href="Controller?MODEL=FICHASOCIOFORM"><mtp:msg
										key="homeMember.memberFile" /></a></td>
						</tr>
					</c:when>
					<c:otherwise>
						<tr>
							<td class="cl_menuOption"><a
								href="Controller?MODEL=FICHASOCIOFORM"><mtp:msg
										key="homeMember.renewOption" /></a></td>
						</tr>
					</c:otherwise>
				</c:choose>
				<tr>
					<td class="cl_menuOption"><a href="Controller?MODEL=SOCIOBAJA"
						onclick="return confirm('<mtp:msg key="homeMember.unsubscribeConfirmation"/>')"><mtp:msg
								key="homeMember.unsubscribeOption" /></a></td>
				</tr>
				<tr>
					<td class="cl_menuOption"><a href="Controller?MODEL=LOGOUT"><mtp:msg
								key="global.closeSessionOption" /></a></td>
				</tr>
			</tbody>
		</table>
	</mtp:getModelInstance>
	<br>
</body>
</html>
