<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title><mtp:msg key="memberFile.title" /></title>
<link type="text/css" href="MyStyles.css" rel="stylesheet">
</head>
<body>
	<h1>
		<a href="Controller?MODEL=HOME"><mtp:msg key="global.site" /></a>
	</h1>
	<h2>
		<mtp:msg key="memberFile.title" />
	</h2>
	<form method="post" action="Controller?MODEL=FICHASOCIOCONFIRM"
		name="FormSocio">
		<mtp:getModelInstance>
			<input type="hidden" name="numPadres"
				value="${requestModelInstance.numPadres }">
			<input type="hidden" name="numAlumnos"
				value="${requestModelInstance.numAlumnos }">
			<input type="hidden" name="usuario"
				value="${requestModelInstance.socio.usuario }">
			<table class="cl_centeredTable" border="0" cellpadding="5"
				cellspacing="5">
				<tbody>
					<c:if test="${requestModelInstance.operacion=='UPDATE' }">
						<c:choose>
							<c:when test="${!requestModelInstance.resultado }">
								<div class="cl_error">
									<mtp:msg key="memberFile.updateError" />
								</div>
							</c:when>
							<c:otherwise>
								<div class="cl_ok">
									<mtp:msg key="memberFile.updateOk" />
								</div>
							</c:otherwise>
						</c:choose>
					</c:if>
					<tr>
						<td><label class="cl_label"><mtp:msg
									key="global.username" /> *</label></td>
						<td><input maxlength="100" size="30" name="usuariodummy"
							class="cl_inputRequired"
							value="${requestModelInstance.socio.usuario }"
							disabled="disabled"></td>
					</tr>
					<tr>
						<td><label class="cl_label"><mtp:msg
									key="global.password" /> *</label></td>
						<td><input maxlength="24" size="30" name="password"
							class="cl_inputRequired" type="password"
							value="${requestModelInstance.socio.password }"
							required="required"></td>
					</tr>
					<tr>
						<td><label class="cl_label"><mtp:msg
									key="global.address" /> *</label></td>
						<td><input maxlength="100" size="100" name="direccion"
							class="cl_inputRequired"
							value="${requestModelInstance.socio.direccion }"
							required="required"></td>
					</tr>
					<tr>
						<td colspan="2">
							<table class="cl_centeredTable" border="0" cellpadding="5"
								cellspacing="5">
								<tbody>
									<tr>
										<td colspan="5" class="cl_labelCentered"><mtp:msg
												key="global.parentsGroup" /></td>
									</tr>
									<tr>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg
													key="global.firstName" /> *</label></td>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg
													key="global.lastName" /> *</label></td>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg
													key="global.idNumber" /> *</label></td>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg
													key="global.emailAddress" /></label></td>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg
													key="global.contactPhones" /></label></td>
									</tr>
									<c:forEach var="padres" items="${requestModelInstance.padres}"
										varStatus="contadorpadres">
										<tr>
											<td><input type="hidden"
												name="idPadre${contadorpadres.count }"
												value="${padres.idPadre }" /> <input maxlength="100"
												size="15" name="nombrePadre${contadorpadres.count }"
												class="cl_inputRequired" value="${padres.nombre }"
												required="required"></td>
											<td><input maxlength="100" size="30"
												name="apellidosPadre${contadorpadres.count }"
												class="cl_inputRequired" value="${padres.apellidos }"
												required="required"></td>
											<td><input maxlength="100" size="12"
												name="documentoPadre${contadorpadres.count }"
												class="cl_inputRequired" value="${padres.documento }"
												required="required"></td>
											<td><input maxlength="100" size="30"
												name="emailPadre${contadorpadres.count }" class="cl_input"
												value="${padres.email }"></td>
											<td><input maxlength="50" size="20"
												name="telefonosPadre${contadorpadres.count }"
												class="cl_input" value="${padres.telefonos }"></td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<table class="cl_centeredTable" border="0" cellpadding="5"
								cellspacing="5">
								<tbody>
									<tr>
										<td colspan="4" class="cl_labelCentered"><mtp:msg
												key="global.studentsGroup" /></td>
									</tr>
									<tr>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg
													key="global.firstName" /> *</label></td>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg
													key="global.lastName" /> *</label></td>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg key="global.course" />
												*</label></td>
										<td class="cl_labelCentered"><label
											class="cl_labelCentered"><mtp:msg
													key="global.bornDate" /><br>(<mtp:msg
													key="global.dateFormat" />)</label></td>
									</tr>
									<c:forEach var="alumnos"
										items="${requestModelInstance.alumnos}"
										varStatus="contadoralumnos">
										<tr>
											<td><input type="hidden"
												name="idAlumno${contadoralumnos.count }"
												value="${alumnos.idAlumno }" /> <input maxlength="100"
												size="15" name="nombreAlumno${contadoralumnos.count }"
												class="cl_inputRequired" value="${alumnos.nombre }"
												required="required"></td>
											<td><input maxlength="100" size="30"
												name="apellidosAlumno${contadoralumnos.count }"
												class="cl_inputRequired" value="${alumnos.apellidos }"
												required="required"></td>
											<td><input maxlength="100" size="10"
												name="cursoAlumno${contadoralumnos.count }"
												class="cl_inputRequired" value="${alumnos.curso }"
												required="required"></td>
											<td><input maxlength="10" size="10"
												name="fechaNacimientoAlumno${contadoralumnos.count }"
												class="cl_inputRequired"
												value="<fmt:formatDate value="${alumnos.fechaNacimiento }" pattern="dd/MM/yyyy"/>"
												required="required"></td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</td>
					</tr>
					<tr>
						<td class="cl_text">*: <mtp:msg key="global.mandatoryFields" /></td>
					</tr>
					<tr>
						<td style="text-align: right;" colspan="2" rowspan="1">
							<button class="cl_button" name="Submit" value="Cancel">
								<mtp:msg key="memberFile.cancelButton" />
							</button> <c:choose>
								<c:when test="${requestModelInstance.socio.valido=='S' }">
									<button class="cl_button" name="Submit" value="Submit">
										<mtp:msg key="memberFile.updateButton" />
									</button>
								</c:when>
								<c:otherwise>
									<button class="cl_button" name="Submit" value="Submit">
										<mtp:msg key="memberFile.renewButton" />
									</button>
								</c:otherwise>
							</c:choose>

						</td>
					</tr>
				</tbody>
			</table>
		</mtp:getModelInstance>
	</form>
	<br>
</body>
</html>