<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title><mtp:msg key="memberFileView.title" /></title>
<link type="text/css" href="MyStyles.css" rel="stylesheet">
</head>
<body>
	<h1>
		<a href="Controller?MODEL=HOME"><mtp:msg key="global.site" /></a>
	</h1>
	<h2>
		<mtp:msg key="memberFileView.title" />
	</h2>
	<mtp:getModelInstance>
		<table class="cl_centeredTable" border="0" cellpadding="5"
			cellspacing="5">
			<tbody>
				<tr>
					<td class="cl_label"><mtp:msg key="global.username" /></td>
					<td class="cl_textLeft">${requestModelInstance.socio.usuario }</td>
				</tr>
				<tr>
					<td class="cl_label"><mtp:msg key="global.address" /></td>
					<td class="cl_textLeft">
						${requestModelInstance.socio.direccion }</td>
				</tr>
				<tr>
					<td colspan="2">
						<table class="cl_centeredTable" border="0" cellpadding="5"
							cellspacing="5">
							<tbody>
								<tr>
									<td colspan="5" class="cl_labelCentered"><mtp:msg
											key="global.parentsGroup" /></td>
								</tr>
								<tr>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.firstName" /></label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.lastName" /></label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.idNumber" /></label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.emailAddress" /></label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.contactPhones" /></label></td>
								</tr>
								<c:forEach var="padres"
									items="${requestModelInstance.socio.padres}"
									varStatus="contadorPadres">
									<c:choose>
										<c:when test="${contadorPadres.count % 2 == 0}">
											<c:set var="estiloFilaPadres" scope="page" value="cl_filaPar" />
										</c:when>
										<c:otherwise>
											<c:set var="estiloFilaPadres" scope="page"
												value="cl_filaImpar" />
										</c:otherwise>
									</c:choose>
									<tr class="${estiloFilaPadres }">
										<td class="cl_textLeft">${padres.nombre }</td>
										<td class="cl_textLeft">${padres.apellidos }</td>
										<td class="cl_textLeft">${padres.documento }</td>
										<td class="cl_textLeft">${padres.email }</td>
										<td class="cl_textLeft">${padres.telefonos }</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<table class="cl_centeredTable" border="0" cellpadding="5"
							cellspacing="5">
							<tbody>
								<tr>
									<td colspan="4" class="cl_labelCentered"><mtp:msg
											key="global.studentsGroup" /></td>
								</tr>
								<tr>
									<td class="cl_labelCentered"><mtp:msg
											key="global.firstName" /></td>
									<td class="cl_labelCentered"><mtp:msg
											key="global.lastName" /></td>
									<td class="cl_labelCentered"><mtp:msg key="global.course" /></td>
									<td class="cl_labelCentered"><mtp:msg
											key="global.bornDate" /></td>
								</tr>
								<c:forEach var="alumnos"
									items="${requestModelInstance.socio.alumnos}"
									varStatus="contadorAlumnos">
									<c:choose>
										<c:when test="${contadorAlumnos.count % 2 == 0}">
											<c:set var="estiloFilaAlumnos" scope="page"
												value="cl_filaPar" />
										</c:when>
										<c:otherwise>
											<c:set var="estiloFilaAlumnos" scope="page"
												value="cl_filaImpar" />
										</c:otherwise>
									</c:choose>
									<tr class="${estiloFilaAlumnos }">
										<td class="cl_textLeft">${alumnos.nombre }</td>
										<td class="cl_textLeft">${alumnos.apellidos }</td>
										<td class="cl_textLeft">${alumnos.curso }</td>
										<td class="cl_textLeft"><fmt:formatDate
												value="${alumnos.fechaNacimiento }" pattern="dd/MM/yyyy" /></td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</td>
				</tr>
			</tbody>
		</table>
	</mtp:getModelInstance>
	<br>
</body>
</html>