package edu.uoc.pfc.j2ee.jalonsod.mtp.config;

/**
 * File: LanguageEntry.java
 * Created: 2012-04-22
 * 
 * A language entry is a single message translated in a particular language supported by the
 * application. It has a key to locate the entry and a value (the translated message).
 * 
 * @author Jos Alonso de Motta
 */
public class LanguageEntry {
	private String key;
	private String value;
	
	public LanguageEntry(String key, String value) {
		setKey(key);
		setValue(value);
	}
	
	// getters & setters
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;

	}

	@Override
	public String toString() {
		return "LanguageEntry ["
				+ "key=" + key
				+ ", value=" + value
				+ "]";
	}
}
