package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

/**
 * File: Constants.java
 * Created: 2012-05-19
 * 
 * Contains the names of the page context attributes used by the tag library.
 * 
 * @author Jos Alonso de Motta
 */
public class Constants {
	public static final String MTP_TAGLIB_VARIABLE_SESSION_ROLE = "sessionRole";
	public static final String MTP_TAGLIB_VARIABLE_SESSION_ATTRIBUTE = "sessionAttribute";
	public static final String MTP_TAGLIB_VARIABLE_LANGUAGE = "language";
	public static final String MTP_TAGLIB_VARIABLE_REQUEST_ATTRIBUTE = "requestAttribute";
	public static final String MTP_TAGLIB_VARIABLE_REQUEST_MODEL = "requestModel";
	public static final String MTP_TAGLIB_VARIABLE_REQUEST_MODEL_INSTANCE = "requestModelInstance";
	public static final String MTP_TAGLIB_VARIABLE_REQUEST_FORM_INSTANCE_PARAMETER = "requestFormInstanceParameter";
	public static final String MTP_TAGLIB_VARIABLE_REQUEST_RESULT = "requestResult";
	public static final String MTP_TAGLIB_VARIABLE_REQUEST_MODEL_RESPONSE = "requestModelResponse";
}
