<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title><mtp:msg key="signupForm.title" /></title>
<link type="text/css" href="MyStyles.css" rel="stylesheet">
</head>
<body>
	<h1>
		<a href="Controller?MODEL=HOME"><mtp:msg key="global.site" /></a>
	</h1>
	<h2>
		<mtp:msg key="signupForm.title" />
	</h2>
	<form method="post" action="Controller?MODEL=SOLICITUDALTACONFIRM"
		name="FormAlta">
		<table class="cl_centeredTable" border="0" cellpadding="5"
			cellspacing="5">
			<tbody>
				<mtp:getResult>
					<tr class="cl_error">
						<c:if test="${requestResult.name == 'ERROR'}">
							<td colspan="2"><mtp:msg key="signupForm.signupError" /> <c:set
									var="validado" scope="page">
									<mtp:isValidated />
								</c:set> <c:if test="${!validado }">
									<mtp:msg key="signupForm.formDataError" />
								</c:if></td>
						</c:if>
					</tr>
				</mtp:getResult>
				<tr>
					<td><label class="cl_label"><mtp:msg
								key="global.username" /> *</label></td>
					<td><input maxlength="100" size="30" tabindex="1"
						name="usuario" class="cl_inputRequired"
						value="${param['usuario'] }" required="required"></td>
				</tr>
				<tr>
					<td><label class="cl_label"><mtp:msg
								key="global.password" /> *</label></td>
					<td><input maxlength="24" size="30" tabindex="2"
						name="password" class="cl_inputRequired" type="password"
						value="${param['password'] }" required="required"></td>
				</tr>
				<tr>
					<td><label class="cl_label"><mtp:msg
								key="global.address" /> *</label></td>
					<td><input maxlength="100" size="100" tabindex="3"
						name="direccion" class="cl_inputRequired"
						value="${param['direccion'] }" required="required"></td>
				</tr>
				<tr>
					<td colspan="2">
						<table class="cl_centeredTable" border="0" cellpadding="5"
							cellspacing="5">
							<tbody>
								<tr>
									<td colspan="5" class="cl_labelCentered"><mtp:msg
											key="global.parentsGroup" /></td>
								</tr>
								<tr>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.firstName" /> *</label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.lastName" /> *</label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.idNumber" /> *</label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.emailAddress" /></label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.contactPhones" /></label></td>
								</tr>
								<tr>
									<td><input maxlength="100" size="15" tabindex="4"
										name="nombrePadre1" class="cl_inputRequired"
										value="${param['nombrePadre1'] }" required="required"></td>
									<td><input maxlength="100" size="30" tabindex="5"
										name="apellidosPadre1" class="cl_inputRequired"
										value="${param['apellidosPadre1'] }" required="required"></td>
									<td><input maxlength="100" size="12" tabindex="6"
										name="documentoPadre1" class="cl_inputRequired"
										value="${param['documentoPadre1'] }" required="required"></td>
									<td><input maxlength="100" size="30" tabindex="7"
										name="emailPadre1" class="cl_input"
										value="${param['emailPadre1'] }"></td>
									<td><input maxlength="50" size="20" tabindex="8"
										name="telefonosPadre1" class="cl_input"
										value="${param['telefonosPadre1'] }"></td>
								</tr>
								<tr>
									<td><input maxlength="100" size="15" tabindex="9"
										name="nombrePadre2" class="cl_inputRequired"
										value="${param['nombrePadre2'] }"></td>
									<td><input maxlength="100" size="30" tabindex="10"
										name="apellidosPadre2" class="cl_inputRequired"
										value="${param['apellidosPadre2'] }"></td>
									<td><input maxlength="100" size="12" tabindex="11"
										name="documentoPadre2" class="cl_inputRequired"
										value="${param['documentoPadre2'] }"></td>
									<td><input maxlength="100" size="30" tabindex="12"
										name="emailPadre2" class="cl_input"
										value="${param['emailPadre2'] }"></td>
									<td><input maxlength="50" size="20" tabindex="13"
										name="telefonosPadre2" class="cl_input"
										value="${param['telefonosPadre2'] }"></td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<table class="cl_centeredTable" border="0" cellpadding="5"
							cellspacing="5">
							<tbody>
								<tr>
									<td colspan="4" class="cl_labelCentered"><mtp:msg
											key="global.studentsGroup" /></td>
								</tr>
								<tr>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.firstName" /> *</label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.lastName" /> *</label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg key="global.course" />
											*</label></td>
									<td class="cl_labelCentered"><label
										class="cl_labelCentered"><mtp:msg
												key="global.bornDate" /><br> (<mtp:msg
												key="global.dateFormat" />) </label></td>
								</tr>
								<tr>
									<td><input maxlength="100" size="15" tabindex="14"
										name="nombreAlumno1" class="cl_inputRequired"
										value="${param['nombreAlumno1'] }" required="required"></td>
									<td><input maxlength="100" size="30" tabindex="15"
										name="apellidosAlumno1" class="cl_inputRequired"
										value="${param['apellidosAlumno1'] }" required="required"></td>
									<td><input maxlength="10" size="10" tabindex="16"
										name="cursoAlumno1" class="cl_inputRequired"
										value="${param['cursoAlumno1'] }" required="required"></td>
									<td><input maxlength="10" size="10" tabindex="17"
										name="fechaNacimientoAlumno1" class="cl_inputRequired"
										value="${param['fechaNacimientoAlumno1'] }"
										required="required"></td>
								</tr>
								<tr>
									<td><input maxlength="100" size="15" tabindex="18"
										name="nombreAlumno2" class="cl_inputRequired"
										value="${param['nombreAlumno2'] }"></td>
									<td><input maxlength="100" size="30" tabindex="19"
										name="apellidosAlumno2" class="cl_inputRequired"
										value="${param['apellidosAlumno2'] }"></td>
									<td><input maxlength="10" size="10" tabindex="20"
										name="cursoAlumno2" class="cl_inputRequired"
										value="${param['cursoAlumno2'] }"></td>
									<td><input maxlength="10" size="10" tabindex="21"
										name="fechaNacimientoAlumno2" class="cl_inputRequired"
										value="${param['fechaNacimientoAlumno2'] }"></td>
								</tr>
								<tr>
									<td><input maxlength="100" size="15" tabindex="22"
										name="nombreAlumno3" class="cl_inputRequired"
										value="${param['nombreAlumno3'] }"></td>
									<td><input maxlength="100" size="30" tabindex="23"
										name="apellidosAlumno3" class="cl_inputRequired"
										value="${param['apellidosAlumno3'] }"></td>
									<td><input maxlength="10" size="10" tabindex="24"
										name="cursoAlumno3" class="cl_inputRequired"
										value="${param['cursoAlumno3'] }"></td>
									<td><input maxlength="10" size="10" tabindex="25"
										name="fechaNacimientoAlumno3" class="cl_inputRequired"
										value="${param['fechaNacimientoAlumno3'] }"></td>
								</tr>
								<tr>
									<td><input maxlength="100" size="15" tabindex="26"
										name="nombreAlumno4" class="cl_inputRequired"
										value="${param['nombreAlumno4'] }"></td>
									<td><input maxlength="100" size="30" tabindex="27"
										name="apellidosAlumno4" class="cl_inputRequired"
										value="${param['apellidosAlumno4'] }"></td>
									<td><input maxlength="10" size="10" tabindex="28"
										name="cursoAlumno4" class="cl_inputRequired"
										value="${param['cursoAlumno4'] }"></td>
									<td><input maxlength="10" size="10" tabindex="29"
										name="fechaNacimientoAlumno4" class="cl_inputRequired"
										value="${param['fechaNacimientoAlumno4'] }"></td>
								</tr>
								<tr>
									<td><input maxlength="100" size="15" tabindex="30"
										name="nombreAlumno5" class="cl_inputRequired"
										value="${param['nombreAlumno5'] }"></td>
									<td><input maxlength="100" size="30" tabindex="31"
										name="apellidosAlumno5" class="cl_inputRequired"
										value="${param['apellidosAlumno5'] }"></td>
									<td><input maxlength="10" size="10" tabindex="32"
										name="cursoAlumno5" class="cl_inputRequired"
										value="${param['cursoAlumno5'] }"></td>
									<td><input maxlength="10" size="10" tabindex="33"
										name="fechaNacimientoAlumno5" class="cl_inputRequired"
										value="${param['fechaNacimientoAlumno5'] }"></td>
								</tr>
								<tr>
									<td><input maxlength="100" size="15" tabindex="34"
										name="nombreAlumno6" class="cl_inputRequired"
										value="${param['nombreAlumno6'] }"></td>
									<td><input maxlength="100" size="30" tabindex="35"
										name="apellidosAlumno6" class="cl_inputRequired"
										value="${param['apellidosAlumno6'] }"></td>
									<td><input maxlength="10" size="10" tabindex="36"
										name="cursoAlumno6" class="cl_inputRequired"
										value="${param['cursoAlumno6'] }"></td>
									<td><input maxlength="10" size="10" tabindex="37"
										name="fechaNacimientoAlumno6" class="cl_inputRequired"
										value="${param['fechaNacimientoAlumno6'] }"></td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
				<tr>
					<td class="cl_text">*: <mtp:msg key="global.mandatoryFields" /></td>
				</tr>
				<tr>
					<td style="text-align: right;" colspan="2" rowspan="1"><button
							class="cl_button" tabindex="38" name="Submit">
							<mtp:msg key="signupForm.sendButton" />
						</button></td>
				</tr>
			</tbody>
		</table>
	</form>
	<br>
</body>
</html>