package edu.uoc.pfc.j2ee.jalonsod.ampa.business;

/**
 * File: ConstantesNegocio.java
 * Created: 2012-06-01
 * 
 * Constantes de la aplicacin.
 * 
 * @author Jos Alonso de Motta
 */
public class ConstantesNegocio {
	
	// Resultados posibles de login
	public static final int LOGIN_SOCIO = 0;
	public static final int LOGIN_ADMIN = 1;
	public static final int LOGIN_BADUSER = 2;
	public static final int LOGIN_BADPASSWORD = 3;
	public static final int LOGIN_ERROR = 4;
	public static final int LOGIN_LOGOUT = 5;
	
	// Tipos de usuarios
	public static final String USUARIO_ADMINISTRADOR =  "A";
	public static final String USUARIO_SOCIO = "S";
	
	// Roles de la aplicacin
	public static final String ROL_ADMINISTRADOR = "ADMINISTRADOR";
	public static final String ROL_SOCIO = "SOCIO";
	
	// Validez de socio
	public static final String SOCIO_VALIDO_SI = "S";
	public static final String SOCIO_VALIDO_NO = "N";
	
	// Estados posibles de RequiereValidar
	public static final String ACTIVIDAD_SI_REQUIERE_VALIDAR = "S";
	public static final String ACTIVIDAD_NO_REQUIERE_VALIDAR = "S";
	
	// Estados posibles de Confirmado para inscripciones de padres y alumnos
	public static final String INSCRICPION_CONFIRMADA = "S";
	public static final String INSCRIPCION_NO_CONFIRMADA = "N";
}
