<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
<title><mtp:msg key="global.site" /></title>
<link rel="stylesheet" href="MyStyles.css" type="text/css">
</head>
<body>
	<mtp:logoutSession />
	<h1>
		<mtp:msg key="global.site" />
	</h1>
	<form method="post" action="Controller?MODEL=LOGIN" name="Login">
		<table class="cl_centeredTable" border="0" cellpadding="5"
			cellspacing="5">
			<tbody>
				<mtp:getModelInstance>
					<tr class="cl_error">
						<c:if test="${requestModelInstance.respuesta == 2}">
							<td colspan="2"><mtp:msg key="home.userNotFound" /></td>
						</c:if>
					</tr>
				</mtp:getModelInstance>
				<mtp:getModelInstance>
					<tr class="cl_error">
						<c:if test="${requestModelInstance.respuesta == 4}">
							<td colspan="2"><mtp:msg key="home.loginError" /></td>
						</c:if>
					</tr>
				</mtp:getModelInstance>
				<tr>
					<td><label class="cl_label"><mtp:msg
								key="global.username" /></label></td>
					<td><input maxlength="100" size="30" tabindex="1"
						name="username" class="cl_input" required="required"></td>
				</tr>
				<mtp:getModelInstance>
					<tr class="cl_error">
						<c:if test="${requestModelInstance.respuesta == 3}">
							<td colspan="2"><mtp:msg key="home.passwordError" /></td>
						</c:if>
					</tr>
				</mtp:getModelInstance>
				<tr>
					<td><label class="cl_label"><mtp:msg
								key="global.password" /></label></td>
					<td><input maxlength="24" size="30" tabindex="2"
						name="password" class="cl_input" type="password"
						required="required"></td>
				</tr>
				<tr>
					<td style="text-align: right;" colspan="2" rowspan="1"><button
							class="cl_button" tabindex="3" name="Submit">
							<mtp:msg key="home.loginButton" />
						</button></td>
				</tr>
			</tbody>
		</table>
	</form>
	<br>
	<hr style="width: 60%; height: 2px;">
	<br>
	<div style="text-align: center;">
		<a class="cl_text" href="Controller?MODEL=SOLICITUDALTAFORM"><mtp:msg key="home.signup" /></a><br>
	</div>
	<br>
</body>
</html>