package edu.uoc.pfc.j2ee.jalonsod.ampa.beans;

import javax.persistence.Entity;
import javax.persistence.Table;

import edu.uoc.pfc.j2ee.jalonsod.ampa.business.ConstantesNegocio;

/**
 * File: Administrador.java
 * Created: 2012-06-01
 * 
 * Contiene los datos de un administrador.
 * Se utiliza como transfer object y como entity class para integracin con Hibernate.
 * 
 * @author Jos Alonso de Motta
 */
@Entity
@Table (name = "Administrador")
public class Administrador extends Usuario{

	/**
	 * Constructor vaco para Hibernate.
	 */
	public Administrador() {
		super(ConstantesNegocio.USUARIO_ADMINISTRADOR);
	}
}
