package edu.uoc.pfc.j2ee.jalonsod.ampa.presentation.models;

import edu.uoc.pfc.j2ee.jalonsod.ampa.beans.Socio;
import edu.uoc.pfc.j2ee.jalonsod.ampa.business.AS.SociosAS;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

public class SocioBajaModel {

	/**
	 * Accin para que el socio se d de baja a si mismo.
	 * 
	 * @param requestData Informacin sobre el request, con la sesin.
	 * @return            OK si se da de baja correctamente, ERROR en caso contrario.
	 */
	public String runBaja(RequestData requestData){
		Socio socio = UtilesModelos.getSocio(requestData);
		if((new SociosAS()).eliminarSocio(socio.getUsuario())){
			requestData.logoutSession();
			return UtilesModelos.RESULT_OK;
		}else {
			return UtilesModelos.RESULT_ERROR;
		}
	}
}
